<?php

/**
 * @file
 * Contains \Drupal\entity_pilot\Encryption\Encrypter.
 */

namespace Drupal\entity_pilot\Encryption;

/**
 * Defines a class for encrypting and decrypting flight contents.
 */
class Encrypter implements EncrypterInterface {

  /**
   * {@inheritdoc}
   */
  public static function encrypt($secret, $data) {
    return \Crypto::encrypt($data, $secret);
  }

  /**
   * {@inheritdoc}
   */
  public static function decrypt($secret, $data) {
    return \Crypto::decrypt($data, $secret);
  }

}
