<?php

/**
 * @file
 * Contains \Drupal\entity_pilot\SiteUrlTrait.
 */

namespace Drupal\entity_pilot;

/**
 * A trait for calculating a site's URL.
 */
trait SiteUrlTrait {

  /**
   * Returns the URL of this site.
   *
   * @return string
   *   URL of the site.
   */
  protected function getSite() {
    return $this->urlGenerator->generateFromRoute('<front>', array(), array('absolute' => TRUE));
  }

}
