<?php
/**
 * @file
 * Bootstrap for entity pilot unit tests.
 */

$root = __DIR__ . '/../../../';
$core = $root . 'core/';
$loader = require __DIR__ . '/../../../vendor/autoload.php';
$loader->addPsr4('Drupal\Tests\entity_pilot\\', __DIR__ . '/src/');
$loader->addPsr4('Drupal\entity_pilot\\', __DIR__ . '/../src/');
$loader->addPsr4('Drupal\node\\', $core . '/modules/node/src/');
$loader->addPsr4('Drupal\user\\', $core . '/modules/user/src/');
$loader->addPsr4('Drupal\serialization\\', $core . '/modules/serialization/src/');
$loader->addPsr4('Drupal\rest\\', $core . '/modules/rest/src/');
$loader->add('Drupal\\Tests', $core . 'tests');
$loader->add('Crypto', $root . 'vendor/defuse/php-encryption');
$loader->add('Drupal\\Core', $core . 'lib/Drupal/Core');
